
<%= form_for dividend, :url=>{:action=>:create, :controller=>:cashflow}, :multipart=>true, :method=>:POST do |f| %>
 <fieldset id='dividend'>
  <legend>New Dividend Payment</legend>
    <% if defined? positions %>
        <%= f.select :id_position, options_from_collection_for_select(positions, :id, :to_s), prompt: '-- Select Position --' %><br/>
    <% elsif defined? smr_position %>
        <%= f.hidden_field :id_position %>
    <% end %>

    <%= f.date_field :time_exdate %> <%= f.label :time_exdate, 'Ex-Dividend Date' %><br/>
    <%= f.number_field :paid, :step=>0.0001, :min=>0.0001 %> <%= f.label :paid, 'Amount paid by the Company (per share)' %><br/>

    <hr/>
    <%= date_field_tag :valutadate, smr_humanize(smr_browse_date) %> <%= label_tag :valutadate, 'Valuta Date' %><br/>
    <%= number_field_tag :received, 0.0, :step=>0.0001, :min=>0.0001 %> <%= label_tag :received, 'Amount received (per share)' %><br/>

    <% if defined?(smr_position) %>
        <hr/>
        <%= hidden_field_tag :redirect, 'position' %>
        <%= f.label :document, 'Clearing Document' %>: <%= f.file_field :document %>
        <hr/>
    <% end %>
    <br/>
    <%= f.submit 'Save Payment Received' %>
 </fieldset>
<% end %>

